io.vertx.groovy.core

## Class Future_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.Future_GroovyExtension

-     public class Future_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Future_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `complete(Future j_receiver, Object result)`
    `static Handler<AsyncResult<Object>>` | `completer(Future j_receiver)`
    `static <U> Future<Object>` | `compose(Future j_receiver, java.util.function.Function<Object,Future<Object>> mapper)`
    `static <U> Future<Object>` | `compose(Future j_receiver, Handler<Object> handler, Future<Object> next)`
    `static <U> Future<Object>` | `map(Future j_receiver, java.util.function.Function<Object,Object> mapper)`
    `static <V> Future<Object>` | `map(Future j_receiver, Object value)`
    `static Object` | `result(Future j_receiver)`
    `static Future<Object>` | `setHandler(Future j_receiver, Handler<AsyncResult<Object>> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Future_GroovyExtension

          public Future_GroovyExtension()

  - ### Method Detail

    - #### setHandler

          public static Future<Object> setHandler(Future j_receiver,
                                                  Handler<AsyncResult<Object>> handler)

    - #### complete

          public static void complete(Future j_receiver,
                                      Object result)

    - #### result

          public static Object result(Future j_receiver)

    - #### compose

          public static <U> Future<Object> compose(Future j_receiver,
                                                   Handler<Object> handler,
                                                   Future<Object> next)

    - #### compose

          public static <U> Future<Object> compose(Future j_receiver,
                                                   java.util.function.Function<Object,Future<Object>> mapper)

    - #### map

          public static <U> Future<Object> map(Future j_receiver,
                                               java.util.function.Function<Object,Object> mapper)

    - #### map

          public static <V> Future<Object> map(Future j_receiver,
                                               Object value)

    - #### completer

          public static Handler<AsyncResult<Object>> completer(Future j_receiver)

Copyright © 2017. All rights reserved.